@import '../func/rem';

@font-face {
  font-family: 'Noto Sans';
  src: url('https://live.european-language-grid.eu/catalogue/fonts/noto-sans-v27-vietnamese_latin-ext_latin_greek-ext_greek_devanagari_cyrillic-ext_cyrillic-regular.woff2')
    format('woff2');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Noto Sans';
  src: url('https://live.european-language-grid.eu/catalogue/fonts/noto-sans-v27-vietnamese_latin-ext_latin_greek-ext_greek_devanagari_cyrillic-ext_cyrillic-700.woff2')
    format('woff2');
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: 'Noto Sans';
  src: url('https://live.european-language-grid.eu/catalogue/fonts/noto-sans-v27-vietnamese_latin-ext_latin_greek-ext_greek_devanagari_cyrillic-ext_cyrillic-italic.woff2')
    format('woff2');
  font-weight: normal;
  font-style: italic;
}

$font--preferred: 'Noto Sans', 'Helvetica Neue', 'Arial', sans-serif;
$font--console: 'Monaco', 'Menlo', 'Consolas', 'Ubuntu Mono', monospace;

$font-weights: (
  //ultra-light: 100,
    //light: 200,
    //book: 300,
    normal: 400,
  medium: 500,
  semibold: 600,
  bold: 700,
  //black: 800,
    //ultra-black: 900
);

$font--normal: map-get($font-weights, normal) !default;
$font--medium: map-get($font-weights, medium) !default;

$font-sizes: (
  base: 0.936rem,
  root: 62.5%,
  h1: rem(3.6),
  h2: rem(2.4),
  h3: rem(1.8),
  h4: rem(1.6),
  h5: rem(1.4),
  h6: rem(1.2)
);

$font-size--root: map-get($font-sizes, base) !default;
$font-size--base: map-get($font-sizes, root) !default;
$h1: map-get($font-sizes, h1) !default;
$h2: map-get($font-sizes, h2) !default;
$h3: map-get($font-sizes, h3) !default;
$h4: map-get($font-sizes, h4) !default;
$h5: map-get($font-sizes, h5) !default;
$h6: map-get($font-sizes, h6) !default;

$font-size: map-get($font-sizes, base) !default;

$custom-typography: mat-typography-config(
  $font-family: 'Noto Sans, sans-serif'
);

::-moz-selection {
  /* Code for Firefox */
  color: white;
  background: #2e2e2e;
}

::selection {
  color: white;
  background: #2e2e2e;
}

